<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="发票管理" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <com.lihang.ShadowLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_5"
            android:layout_marginStart="@dimen/dp_9"
            android:layout_marginEnd="@dimen/dp_9"
            app:hl_cornerRadius="@dimen/dp_10"
            app:hl_shadowColor="@color/color_shadow"
            app:hl_shadowLimit="@dimen/dp_7"
            app:layout_constraintTop_toBottomOf="@id/mTitleBar">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingStart="@dimen/dp_12"
                android:paddingEnd="@dimen/dp_12">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_title_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_16">

                    <TextView
                        android:id="@+id/tv_title_type_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="抬头类型"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_title_type_title"
                        app:layout_constraintTop_toTopOf="@id/tv_title_type_title" />

                    <RadioGroup
                        android:id="@+id/rg_title_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/tv_title_type_title">

                        <RadioButton
                            android:id="@+id/rb_title1"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/dp_40"
                            android:layout_weight="1"
                            android:background="@drawable/selector_invoice_title_rb"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:text="企业"
                            android:textColor="@drawable/selector_invoice_title_color"
                            android:textSize="@dimen/sp_14" />

                        <RadioButton
                            android:id="@+id/rb_title2"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/dp_40"
                            android:layout_marginStart="@dimen/dp_16"
                            android:layout_weight="1"
                            android:background="@drawable/selector_invoice_title_rb"
                            android:button="@null"
                            android:gravity="center"
                            android:text="个人"
                            android:textColor="@drawable/selector_invoice_title_color"
                            android:textSize="@dimen/sp_14" />
                    </RadioGroup>
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20">

                    <TextView
                        android:id="@+id/tv_type_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="发票类型"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_type_title"
                        app:layout_constraintTop_toTopOf="@id/tv_type_title" />

                    <RadioGroup
                        android:id="@+id/rg_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_type_title">

                        <RadioButton
                            android:id="@+id/rb1"
                            android:layout_width="@dimen/dp_18"
                            android:layout_height="@dimen/dp_18"
                            android:background="@drawable/selector_rb"
                            android:button="@null"
                            android:checked="true"
                            android:textColor="@color/color_1a1a1a" />

                        <TextView
                            android:id="@+id/tv1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:text="普票"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />

                        <RadioButton
                            android:id="@+id/rb2"
                            android:layout_width="@dimen/dp_18"
                            android:layout_height="@dimen/dp_18"
                            android:layout_marginStart="@dimen/dp_36"
                            android:background="@drawable/selector_rb"
                            android:button="@null"
                            android:textColor="@color/color_1a1a1a" />

                        <TextView
                            android:id="@+id/tv2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:text="专票"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />
                    </RadioGroup>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/rg_type"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_enterprise_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20">

                    <TextView
                        android:id="@+id/tv_enterprise_name_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="企业名称"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_enterprise_name_title"
                        app:layout_constraintTop_toTopOf="@id/tv_enterprise_name_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_enterprise_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入企业名称"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_enterprise_name_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_enterprise_name"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_enterprise_code"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20">

                    <TextView
                        android:id="@+id/tv_enterprise_code_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="信用代码"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_enterprise_code_title"
                        app:layout_constraintTop_toTopOf="@id/tv_enterprise_code_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_enterprise_code"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:digits="01234567890ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"
                        android:hint="请输入纳税人识别号"
                        android:maxLength="18"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_enterprise_code_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_enterprise_code"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_enterprise_address"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_enterprise_address_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="注册地址"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_enterprise_address_title"
                        app:layout_constraintTop_toTopOf="@id/tv_enterprise_address_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_enterprise_address"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入详细地址"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_enterprise_address_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_enterprise_address"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_enterprise_phone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_enterprise_phone_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="电话号码"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_enterprise_phone_title"
                        app:layout_constraintTop_toBottomOf="@id/tv_enterprise_phone_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_enterprise_phone"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入电话号码"
                        android:inputType="number"
                        android:maxLength="11"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_enterprise_phone_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_enterprise_phone"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_bank_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_bank_name_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="开户行"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_bank_name_title"
                        app:layout_constraintTop_toTopOf="@id/tv_bank_name_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_bank_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入开户行"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_bank_name_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_bank_name"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_bank_no"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_bank_no_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="开户行账户"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_bank_no_title"
                        app:layout_constraintTop_toTopOf="@id/tv_bank_no_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_bank_no"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入开户行账户"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_bank_no_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_bank_no"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_username"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_username_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="姓名"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_username_title"
                        app:layout_constraintTop_toTopOf="@id/tv_username_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_username"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="请输入您的姓名"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_username_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_username"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_id_card"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_id_card_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="身份证号"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_id_card_title"
                        app:layout_constraintTop_toTopOf="@id/tv_id_card_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_id_card"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:digits="0123456789Xx"
                        android:hint="请输入您的身份证号码"
                        android:inputType=""
                        android:maxLength="18"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_id_card_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/et_id_card"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20">

                    <TextView
                        android:id="@+id/tv_content_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="发票内容"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_content_title"
                        app:layout_constraintTop_toTopOf="@id/tv_content_title" />

                    <TextView
                        android:id="@+id/tv_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="“伯乐招标”软件服务"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_content_title" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/tv_content"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20">

                    <TextView
                        android:id="@+id/tv_amount_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="发票金额"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_amount_title"
                        app:layout_constraintTop_toTopOf="@id/tv_amount_title" />

                    <TextView
                        android:id="@+id/tv_amount"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:layout_weight="1"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="1.00"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_14"
                        android:textStyle="bold"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_amount_title" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        android:text="元"
                        android:textColor="@color/color_1a1a1a"
                        app:layout_constraintBottom_toBottomOf="@id/tv_amount"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="@id/tv_amount" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintTop_toBottomOf="@id/tv_amount"
                        android:background="@color/color_eaeaea" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:layout_marginBottom="@dimen/dp_16">

                    <TextView
                        android:id="@+id/tv_email_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="电子邮箱"
                        android:textColor="@color/color_666666"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_email_title"
                        app:layout_constraintTop_toTopOf="@id/tv_email_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_email"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:hint="用于向您发送电子发票"
                        android:inputType="textEmailAddress"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_email_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

            </LinearLayout>
        </com.lihang.ShadowLayout>

    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>